<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_201) on Tue Jun 11 21:47:08 AEST 2019 -->
<title>YAMLConfiguration (worldedit-core 7.0.0 API)</title>
<meta name="date" content="2019-06-11">
<link rel="stylesheet" type="text/css" href="../../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="YAMLConfiguration (worldedit-core 7.0.0 API)";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":10,"i1":10};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../index-all.html">Index</a></li>
<li><a href="../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../com/sk89q/worldedit/util/WeightedChoice.Choice.html" title="class in com.sk89q.worldedit.util"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li>Next&nbsp;Class</li>
</ul>
<ul class="navList">
<li><a href="../../../../index.html?com/sk89q/worldedit/util/YAMLConfiguration.html" target="_top">Frames</a></li>
<li><a href="YAMLConfiguration.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">com.sk89q.worldedit.util</div>
<h2 title="Class YAMLConfiguration" class="title">Class YAMLConfiguration</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li>java.lang.Object</li>
<li>
<ul class="inheritance">
<li><a href="../../../../com/sk89q/worldedit/LocalConfiguration.html" title="class in com.sk89q.worldedit">com.sk89q.worldedit.LocalConfiguration</a></li>
<li>
<ul class="inheritance">
<li>com.sk89q.worldedit.util.YAMLConfiguration</li>
</ul>
</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<hr>
<br>
<pre>public class <span class="typeNameLabel">YAMLConfiguration</span>
extends <a href="../../../../com/sk89q/worldedit/LocalConfiguration.html" title="class in com.sk89q.worldedit">LocalConfiguration</a></pre>
<div class="block">A less simple implementation of <a href="../../../../com/sk89q/worldedit/LocalConfiguration.html" title="class in com.sk89q.worldedit"><code>LocalConfiguration</code></a>
 using YAML configuration files.</div>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- =========== FIELD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="field.summary">
<!--   -->
</a>
<h3>Field Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Field Summary table, listing fields, and an explanation">
<caption><span>Fields</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Field and Description</th>
</tr>
<tr class="altColor">
<td class="colFirst"><code>protected <a href="../../../../com/sk89q/util/yaml/YAMLProcessor.html" title="class in com.sk89q.util.yaml">YAMLProcessor</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../com/sk89q/worldedit/util/YAMLConfiguration.html#config">config</a></span></code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>protected org.slf4j.Logger</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../com/sk89q/worldedit/util/YAMLConfiguration.html#logger">logger</a></span></code>&nbsp;</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="fields.inherited.from.class.com.sk89q.worldedit.LocalConfiguration">
<!--   -->
</a>
<h3>Fields inherited from class&nbsp;com.sk89q.worldedit.<a href="../../../../com/sk89q/worldedit/LocalConfiguration.html" title="class in com.sk89q.worldedit">LocalConfiguration</a></h3>
<code><a href="../../../../com/sk89q/worldedit/LocalConfiguration.html#allowedDataCycleBlocks">allowedDataCycleBlocks</a>, <a href="../../../../com/sk89q/worldedit/LocalConfiguration.html#allowSymlinks">allowSymlinks</a>, <a href="../../../../com/sk89q/worldedit/LocalConfiguration.html#butcherDefaultRadius">butcherDefaultRadius</a>, <a href="../../../../com/sk89q/worldedit/LocalConfiguration.html#butcherMaxRadius">butcherMaxRadius</a>, <a href="../../../../com/sk89q/worldedit/LocalConfiguration.html#calculationTimeout">calculationTimeout</a>, <a href="../../../../com/sk89q/worldedit/LocalConfiguration.html#defaultChangeLimit">defaultChangeLimit</a>, <a href="../../../../com/sk89q/worldedit/LocalConfiguration.html#defaultMaxPolygonalPoints">defaultMaxPolygonalPoints</a>, <a href="../../../../com/sk89q/worldedit/LocalConfiguration.html#defaultMaxPolyhedronPoints">defaultMaxPolyhedronPoints</a>, <a href="../../../../com/sk89q/worldedit/LocalConfiguration.html#disallowedBlocks">disallowedBlocks</a>, <a href="../../../../com/sk89q/worldedit/LocalConfiguration.html#logCommands">logCommands</a>, <a href="../../../../com/sk89q/worldedit/LocalConfiguration.html#logFile">logFile</a>, <a href="../../../../com/sk89q/worldedit/LocalConfiguration.html#logFormat">logFormat</a>, <a href="../../../../com/sk89q/worldedit/LocalConfiguration.html#maxBrushRadius">maxBrushRadius</a>, <a href="../../../../com/sk89q/worldedit/LocalConfiguration.html#maxCalculationTimeout">maxCalculationTimeout</a>, <a href="../../../../com/sk89q/worldedit/LocalConfiguration.html#maxChangeLimit">maxChangeLimit</a>, <a href="../../../../com/sk89q/worldedit/LocalConfiguration.html#maxPolygonalPoints">maxPolygonalPoints</a>, <a href="../../../../com/sk89q/worldedit/LocalConfiguration.html#maxPolyhedronPoints">maxPolyhedronPoints</a>, <a href="../../../../com/sk89q/worldedit/LocalConfiguration.html#maxRadius">maxRadius</a>, <a href="../../../../com/sk89q/worldedit/LocalConfiguration.html#maxSuperPickaxeSize">maxSuperPickaxeSize</a>, <a href="../../../../com/sk89q/worldedit/LocalConfiguration.html#navigationUseGlass">navigationUseGlass</a>, <a href="../../../../com/sk89q/worldedit/LocalConfiguration.html#navigationWand">navigationWand</a>, <a href="../../../../com/sk89q/worldedit/LocalConfiguration.html#navigationWandMaxDistance">navigationWandMaxDistance</a>, <a href="../../../../com/sk89q/worldedit/LocalConfiguration.html#profile">profile</a>, <a href="../../../../com/sk89q/worldedit/LocalConfiguration.html#registerHelp">registerHelp</a>, <a href="../../../../com/sk89q/worldedit/LocalConfiguration.html#saveDir">saveDir</a>, <a href="../../../../com/sk89q/worldedit/LocalConfiguration.html#scriptsDir">scriptsDir</a>, <a href="../../../../com/sk89q/worldedit/LocalConfiguration.html#scriptTimeout">scriptTimeout</a>, <a href="../../../../com/sk89q/worldedit/LocalConfiguration.html#serverSideCUI">serverSideCUI</a>, <a href="../../../../com/sk89q/worldedit/LocalConfiguration.html#shellSaveType">shellSaveType</a>, <a href="../../../../com/sk89q/worldedit/LocalConfiguration.html#showHelpInfo">showHelpInfo</a>, <a href="../../../../com/sk89q/worldedit/LocalConfiguration.html#snapshotRepo">snapshotRepo</a>, <a href="../../../../com/sk89q/worldedit/LocalConfiguration.html#superPickaxeDrop">superPickaxeDrop</a>, <a href="../../../../com/sk89q/worldedit/LocalConfiguration.html#superPickaxeManyDrop">superPickaxeManyDrop</a>, <a href="../../../../com/sk89q/worldedit/LocalConfiguration.html#traceUnflushedSessions">traceUnflushedSessions</a>, <a href="../../../../com/sk89q/worldedit/LocalConfiguration.html#useInventory">useInventory</a>, <a href="../../../../com/sk89q/worldedit/LocalConfiguration.html#useInventoryCreativeOverride">useInventoryCreativeOverride</a>, <a href="../../../../com/sk89q/worldedit/LocalConfiguration.html#useInventoryOverride">useInventoryOverride</a>, <a href="../../../../com/sk89q/worldedit/LocalConfiguration.html#wandItem">wandItem</a></code></li>
</ul>
</li>
</ul>
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.summary">
<!--   -->
</a>
<h3>Constructor Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Constructor Summary table, listing constructors, and an explanation">
<caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Constructor and Description</th>
</tr>
<tr class="altColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../../com/sk89q/worldedit/util/YAMLConfiguration.html#YAMLConfiguration-com.sk89q.util.yaml.YAMLProcessor-org.slf4j.Logger-">YAMLConfiguration</a></span>(<a href="../../../../com/sk89q/util/yaml/YAMLProcessor.html" title="class in com.sk89q.util.yaml">YAMLProcessor</a>&nbsp;config,
                 org.slf4j.Logger&nbsp;logger)</code>&nbsp;</td>
</tr>
</table>
</li>
</ul>
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span id="t2" class="tableTab"><span><a href="javascript:show(2);">Instance Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a href="javascript:show(8);">Concrete Methods</a></span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../com/sk89q/worldedit/util/YAMLConfiguration.html#load--">load</a></span>()</code>
<div class="block">Load the configuration.</div>
</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../com/sk89q/worldedit/util/YAMLConfiguration.html#unload--">unload</a></span>()</code>&nbsp;</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.com.sk89q.worldedit.LocalConfiguration">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;com.sk89q.worldedit.<a href="../../../../com/sk89q/worldedit/LocalConfiguration.html" title="class in com.sk89q.worldedit">LocalConfiguration</a></h3>
<code><a href="../../../../com/sk89q/worldedit/LocalConfiguration.html#convertLegacyItem-java.lang.String-">convertLegacyItem</a>, <a href="../../../../com/sk89q/worldedit/LocalConfiguration.html#getDefaultDisallowedBlocks--">getDefaultDisallowedBlocks</a>, <a href="../../../../com/sk89q/worldedit/LocalConfiguration.html#getWorkingDirectory--">getWorkingDirectory</a></code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.Object</h3>
<code>clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait</code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ============ FIELD DETAIL =========== -->
<ul class="blockList">
<li class="blockList"><a name="field.detail">
<!--   -->
</a>
<h3>Field Detail</h3>
<a name="config">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>config</h4>
<pre>protected final&nbsp;<a href="../../../../com/sk89q/util/yaml/YAMLProcessor.html" title="class in com.sk89q.util.yaml">YAMLProcessor</a> config</pre>
</li>
</ul>
<a name="logger">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>logger</h4>
<pre>protected final&nbsp;org.slf4j.Logger logger</pre>
</li>
</ul>
</li>
</ul>
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.detail">
<!--   -->
</a>
<h3>Constructor Detail</h3>
<a name="YAMLConfiguration-com.sk89q.util.yaml.YAMLProcessor-org.slf4j.Logger-">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>YAMLConfiguration</h4>
<pre>public&nbsp;YAMLConfiguration(<a href="../../../../com/sk89q/util/yaml/YAMLProcessor.html" title="class in com.sk89q.util.yaml">YAMLProcessor</a>&nbsp;config,
                         org.slf4j.Logger&nbsp;logger)</pre>
</li>
</ul>
</li>
</ul>
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="load--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>load</h4>
<pre>public&nbsp;void&nbsp;load()</pre>
<div class="block"><span class="descfrmTypeLabel">Description copied from class:&nbsp;<code><a href="../../../../com/sk89q/worldedit/LocalConfiguration.html#load--">LocalConfiguration</a></code></span></div>
<div class="block">Load the configuration.</div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../com/sk89q/worldedit/LocalConfiguration.html#load--">load</a></code>&nbsp;in class&nbsp;<code><a href="../../../../com/sk89q/worldedit/LocalConfiguration.html" title="class in com.sk89q.worldedit">LocalConfiguration</a></code></dd>
</dl>
</li>
</ul>
<a name="unload--">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>unload</h4>
<pre>public&nbsp;void&nbsp;unload()</pre>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../index-all.html">Index</a></li>
<li><a href="../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../com/sk89q/worldedit/util/WeightedChoice.Choice.html" title="class in com.sk89q.worldedit.util"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li>Next&nbsp;Class</li>
</ul>
<ul class="navList">
<li><a href="../../../../index.html?com/sk89q/worldedit/util/YAMLConfiguration.html" target="_top">Frames</a></li>
<li><a href="YAMLConfiguration.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
